net.sf.jasperreports.charts.design

## Class JRDesignValueDisplay

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseValueDisplay
  - - net.sf.jasperreports.charts.design.JRDesignValueDisplay

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRValueDisplay, JRChangeEventsSupport, JRCloneable

      public class JRDesignValueDisplay
      extends JRBaseValueDisplay
      implements JRChangeEventsSupport

  An object that specifies how a single value should be displayed. Used with charts such as a meter or thermometer that display a single value.
  Version:
    $Id: JRDesignValueDisplay.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLOR`
    `static java.lang.String` | `PROPERTY_FONT`
    `static java.lang.String` | `PROPERTY_MASK`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseValueDisplay

      `chart, color, font, mask`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignValueDisplay(JRValueDisplay valueDisplay, JRChart chart)` Constructs a new value display that is a copy of an existing one.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setColor(java.awt.Color color)` Sets the color to use when displaying the value.
    `void` | `setFont(JRFont font)` Sets the font to use when displaying the value.
    `void` | `setMask(java.lang.String mask)` Sets the formatting mask to use when displaying the value.

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseValueDisplay

      `clone, collectExpressions, getChart, getColor, getFont, getMask`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_COLOR

          public static final java.lang.String PROPERTY_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_FONT

          public static final java.lang.String PROPERTY_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_MASK

          public static final java.lang.String PROPERTY_MASK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignValueDisplay

          public JRDesignValueDisplay(JRValueDisplay valueDisplay,
                              JRChart chart)

      Constructs a new value display that is a copy of an existing one.
      Parameters:
        `valueDisplay` - the display to copy

  - ### Method Detail

    - #### setColor

          public void setColor(java.awt.Color color)

      Sets the color to use when displaying the value.
      Parameters:
        `color` - the color to use when displaying the value

    - #### setMask

          public void setMask(java.lang.String mask)

      Sets the formatting mask to use when displaying the value. This mask will be used to create a `java.text.DecimalFormat` object.
      Parameters:
        `mask` - the formatting mask to use when displaying the value

    - #### setFont

          public void setFont(JRFont font)

      Sets the font to use when displaying the value.
      Parameters:
        `font` - the font to use when displaying the value

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseValueDisplay`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com